Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452324 - Review Request: lxterminal - Desktop-independent VTE-based terminal emulator
Summary: Review Request: lxterminal - Desktop-independent VTE-based terminal emulator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXDE
TreeView+ depends on / blocked
 
Reported: 2008-06-20 23:08 UTC by Christoph Wickert
Modified: 2009-06-13 19:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 22:16:32 UTC
mlichvar: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2008-06-20 23:08:00 UTC
Spec URL: http://cwickert.fedorapeople.org/review/lxterminal-0.1.2-1.fc10.src.rpm
SRPM URL: http://cwickert.fedorapeople.org/review/lxterminal.spec
Description: 
LXterminal is a VTE-based terminal emulator with support for multiple tabs. 
It is completely desktop-independent and does not have any unnecessary 
dependencies. In order to reduce memory usage and increase the performance 
all instances of the terminal are sharing a single process.

Comment 1 Christoph Wickert 2008-07-03 16:34:37 UTC
Miroslav, please wait a moment, I'm going to upload 0.1.3. 

Comment 2 Christoph Wickert 2008-07-03 16:37:59 UTC
New SRPM: http://cwickert.fedorapeople.org/review/lxterminal-0.1.3-1.fc10.src.rpm

Comment 3 Miroslav Lichvar 2008-07-03 17:35:41 UTC
The spec file is cleanly written, everything seems good.

- rpmlint is silent
- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
- the package meets the Packaging Guidelines
- the package is licensed with a Fedora approved license
- the License field in the package spec file matches the actual license (GPLv2+)
- the package includes the text of the license in %doc
- the spec file is written in American English
- the spec file for the package is legible
- the sources used to build the package matches the upstream source
- the package successfully builds in x86_64 and ppc rawhide
- all build dependencies are listed in BuildRequires
- the spec file handles locales properly
- the package owns all directories that it creates
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- desktop file is installed with desktop-file-install
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in rpm packages are valid UTF-8
- the package functions as described (tested only on x86_64)

Approved.

The sed line in %prep can be removed, the typo was fixed in 0.1.3.

Comment 4 Christoph Wickert 2008-07-03 18:10:23 UTC
(In reply to comment #3)
> The sed line in %prep can be removed, the typo was fixed in 0.1.3.

Good catch (although I should have known that because I was the one who informed
upstream about the typo). Will fix that after the import.

Thanks for the review!

New Package CVS Request
=======================
Package Name: lxterminal
Short Description: Desktop-independent VTE-based terminal emulator
Owners: cwickert
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-07-04 20:14:13 UTC
cvs done.

Comment 6 Fedora Update System 2008-07-04 22:14:24 UTC
lxterminal-0.1.3-1.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-07-04 22:15:24 UTC
lxterminal-0.1.3-1.fc8 has been submitted as an update for Fedora 8

Comment 8 Fedora Update System 2008-07-06 06:12:07 UTC
lxterminal-0.1.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-07-06 06:17:12 UTC
lxterminal-0.1.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-07-26 05:56:31 UTC
lxterminal-0.1.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Christoph Wickert 2009-05-23 01:45:37 UTC
Package Change Request
======================
Package Name: lxterminal
New Branches: EL-4 EL-5
Owners: cwickert

Comment 12 Kevin Fenzi 2009-05-23 05:27:10 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.